libjingle555cfe9 module not found error

asked 2017-10-02 08:41:46 -0600

ndeep gravatar image

When I run catkin_make command I am getting the following error:-

-- Checking for module 'libjingle555cfe9' -- No package 'libjingle555cfe9' found CMake Error at /usr/share/cmake-3.5/Modules/FindPkgConfig.cmake:367 (message): A required package was not found

edit retag flag offensive close merge delete

Comments

In the future please include more information in your question. This question does not provide enough information for someone to reproduce your error to be able to help you. Please see the guidelines for asking questions at http://wiki.ros.org/Support

tfoote gravatar imagetfoote ( 2017-10-02 20:15:42 -0600 )edit

I am following this link ros_webrtc . Earlier I thought of not including libjingle, but it seems like in order to make ros_webrtc working we can not ommit libjingle.

ndeep gravatar imagendeep ( 2017-10-04 13:42:54 -0600 )edit

And in the CMakeList file of ros_webrtc package is hardcoded with the libjingle version 555cfe9. I installed libjingle manually by following libjingle-github

ndeep gravatar imagendeep ( 2017-10-04 13:43:50 -0600 )edit

The current version of libjingle is 0.5.2 . But in the CMakelist file, the hardcoded value of version is 555cfe9. I tried replacing the version value, but it didnt work.

ndeep gravatar imagendeep ( 2017-10-04 13:46:16 -0600 )edit